## dcap 2.47.2

=== debian/changelog ===
dcap (2.47.2-2) unstable; urgency=low

  * Convert to package format 3.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 17 Jun 2010 13:36:01 +0200

dcap (2.47.2-1) unstable; urgency=low

  * New upstream release (Closes: #576224)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Apr 2010 13:00:49 +0200

dcap (1.2.44-5) unstable; urgency=low

  * Fix building on avr32

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 16:07:41 +0100

dcap (1.2.44-4) unstable; urgency=low

  * Big/Little endian porting for more architectures (Closes: #563408)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 02 Jan 2010 22:10:15 +0100

dcap (1.2.44-3) unstable; urgency=low

  * Porting for GNU/Hurd and GNU/kFreeBSD

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 02 Jan 2010 15:04:28 +0100

dcap (1.2.44-2) unstable; urgency=low

  * Fix copyright issues (Closes: #562514).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 Dec 2009 09:27:03 +0100

dcap (1.2.44-1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 22 Dec 2009 12:40:00 +0100
