## dcap 2.47.5

=== debian/changelog ===
dcap (2.47.5-5) unstable; urgency=low

  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 08 Dec 2011 11:03:06 +0100

dcap (2.47.5-4) unstable; urgency=low

  * Update dcap-dlopen.patch (Closes: #643475)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 29 Sep 2011 21:33:20 +0200

dcap (2.47.5-3) unstable; urgency=low

  * Remove reference to /usr/share/common-licenses/BSD

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 17 May 2011 13:59:17 +0200

dcap (2.47.5-2) unstable; urgency=low

  * Remove libtool archives (Closes: #621281)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Apr 2011 08:49:54 +0200

dcap (2.47.5-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 06 Nov 2010 21:48:07 +0100
