=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dcap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
+Standards-Version: 3.9.2
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
@@ -60,3 +60,11 @@
 Description: Telnet tunnel for dCache
  This package contains the telnet tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
+
+Package: dcap-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for dcap
+ This package contains debug symbols for dcap.
