## dcap 2.47.6

=== debian/changelog ===
dcap (2.47.6-2) unstable; urgency=low

  * Drop patch dcap-inline.patch (gcc bug #672411 is fixed - no longer needed)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 09 Jun 2012 10:57:57 +0200

dcap (2.47.6-1) unstable; urgency=low

  * New upstream release (EMI 2 release) (Closes: #630367)
  * Drop patches dcap-aliasing.patch, dcap-libs.patch and
    dcap-no-testinstall.patch implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 May 2012 13:19:13 +0200
