## dcap 2.47.7

=== debian/changelog ===
dcap (2.47.7-2) unstable; urgency=low

  * Fix segfault - issue found by Mayhem Team, Carnegie Mellon University

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 21:17:24 +0200

dcap (2.47.7-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 10:00:57 +0100
