=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-version=2.47.6
+version=2.47.7
 tagvers=$(version)
 
 configure: configure-stamp
