=== debian/changelog ===
dcap (2.47.8-2) unstable; urgency=low

  * Adapt to multi-arch Globus installation (Closes: #730920)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 30 Nov 2013 19:38:29 +0100

dcap (2.47.8-1) unstable; urgency=low

  * New upstream release
  * Drop patch dcap-segfault.patch - merged upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Aug 2013 16:31:23 +0200
