=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dcap
 Homepage: http://www.dcache.org/manuals/libdcap.shtml
