=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -16,9 +18,6 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-version=2.47.7
-tagvers=$(version)
-
 configure: configure-stamp
 
 configure-stamp:
@@ -31,7 +30,7 @@
 	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 	./configure \
 		--prefix=/usr \
-		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include" \
+		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include -I$(_includedir)/$(DEB_HOST_MULTIARCH)/globus" \
 		--with-globus-lib=/dummy \
 		--with-tunneldir=$(_libdir)/dcap
 
@@ -106,21 +105,4 @@
 
 binary-indep:
 
-get-orig-source:
-	if [ -r ../dcap_$(version).orig.tar.gz ] ; then \
-	  echo "dcap_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ -d "dcap-$(version)" ]; then \
-	    echo "Please remove existing directory 'dcap-$(version)'" ; \
-	    exit -1 ; \
-	  fi ; \
-	  echo "Fetching upstream svn version" ; \
-	  svn export http://svn.dcache.org/dCache/tags/dcap-$(tagvers) \
-	    dcap-$(version) ; \
-	  echo "Packing it up." ; \
-	  tar -z -c -f ../dcap_$(version).orig.tar.gz dcap-$(version) ; \
-	  echo "Cleaning up." ; \
-	  rm -rf dcap-$(version) ; \
-	fi
-
-.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
