## dcap 2.47.9

=== debian/changelog ===
dcap (2.47.9-1) unstable; urgency=medium

  * New upstream release
  * Implement multiarch
  * Enable tests and add Build-Depends libcunit1-dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Feb 2015 19:25:36 +0100
