=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dcap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, dh-autoreconf, libcunit1-dev
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dcap
@@ -19,6 +19,7 @@
 Package: libdcap1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: dcap-tunnel-gsi (= ${binary:Version}), dcap-tunnel-krb (= ${binary:Version}), dcap-tunnel-ssl (= ${binary:Version}), dcap-tunnel-telnet (= ${binary:Version})
 Description: Client Libraries for dCache
  dCache is a distributed mass storage system.
@@ -35,6 +36,7 @@
 Package: dcap-tunnel-gsi
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: GSI tunnel for dCache
  This package contains the gsi tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -42,6 +44,7 @@
 Package: dcap-tunnel-krb
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Kerberos tunnel for dCache
  This package contains the kerberos tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -49,6 +52,7 @@
 Package: dcap-tunnel-ssl
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: SSL tunnel for dCache
  This package contains the ssl tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -56,6 +60,7 @@
 Package: dcap-tunnel-telnet
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Telnet tunnel for dCache
  This package contains the telnet tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -65,5 +70,6 @@
 Priority: extra
 Architecture: any
 Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Debug symbols for dcap
  This package contains debug symbols for dcap.
