=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALLDIR = $(CURDIR)/debian/tmp

configure: configure-stamp

configure-stamp:
	dh_testdir

	AUTOMAKE="automake -a -f --foreign" dh_autoreconf

	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
	./configure \
		--prefix=/usr \
		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
		--with-globus-include=/usr/include/globus \
		--with-globus-lib=/dummy \
		--with-tunneldir='$${libdir}/dcap'

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	$(MAKE) check

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clean && $(MAKE) distclean ; fi

	dh_autoreconf_clean

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	rm $(INSTALLDIR)/usr/lib/*/dcap/*.a
	rm $(INSTALLDIR)/usr/lib/*/dcap/*.la

	rm $(INSTALLDIR)/usr/lib/*/*.la

	rm -rf $(INSTALLDIR)/usr/share/doc

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=dcap-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
