## dcap 2.47.10

=== debian/changelog ===
dcap (2.47.10-1) unstable; urgency=medium

  * New upstream release
  * Drop patches dcap-dlopen.patch and dcap-man.patch - merged upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Jan 2016 22:47:59 +0100

dcap (2.47.9-3) unstable; urgency=medium

  * Add missing Replaces/Breaks for dbg package split

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 13 Feb 2015 10:11:17 +0100

dcap (2.47.9-2) unstable; urgency=medium

  * Split dbg package for multi-arch (same vs. foreign)
  * Fix lintian manpage syntax warning

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Feb 2015 15:02:21 +0100
