=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Package: dcap
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Client Tools for dCache
  dCache is a distributed mass storage system.
@@ -18,6 +19,7 @@
 
 Package: libdcap1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: dcap-tunnel-gsi (= ${binary:Version}), dcap-tunnel-krb (= ${binary:Version}), dcap-tunnel-ssl (= ${binary:Version}), dcap-tunnel-telnet (= ${binary:Version})
@@ -28,6 +30,7 @@
 Package: dcap-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${misc:Depends}
 Description: Client Development Files for dCache
  dCache is a distributed mass storage system.
@@ -35,6 +38,7 @@
 
 Package: dcap-tunnel-gsi
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: GSI tunnel for dCache
@@ -43,6 +47,7 @@
 
 Package: dcap-tunnel-krb
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Kerberos tunnel for dCache
@@ -51,6 +56,7 @@
 
 Package: dcap-tunnel-ssl
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: SSL tunnel for dCache
@@ -59,6 +65,7 @@
 
 Package: dcap-tunnel-telnet
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Telnet tunnel for dCache
@@ -69,7 +76,19 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: dcap (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for dcap client tools
+ This package contains debug symbols for dcap client tools.
+
+Package: libdcap-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Replaces: dcap-dbg (<< 2.47.9-2~)
+Breaks: dcap-dbg (<< 2.47.9-2~)
+Depends: libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Debug symbols for dcap
- This package contains debug symbols for dcap.
+Description: Debug symbols for dcap libraries and plugins
+ This package contains debug symbols for dcap libraries and plugins.
