=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,8 @@
 	dh_install --fail-missing
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=dcap-dbg
+	dh_strip -X/bin/ -X/sbin/ --dbg-package=libdcap-dbg
+	dh_strip -X/lib/ --dbg-package=dcap-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
