## dcap 2.47.12

=== debian/changelog ===
dcap (2.47.12-4) unstable; urgency=medium

  * Fix some compilation warnings and typos

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Feb 2022 15:59:10 +0100

dcap (2.47.12-3) unstable; urgency=medium

  * Change to debhelper compat level 13
  * Convert debian/rules to dh tool (Closes: #977816)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 22 Dec 2020 05:47:25 +0100

dcap (2.47.12-2) unstable; urgency=medium

  * Fix an implicit declaration warning
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Feb 2018 22:09:40 +0100

dcap (2.47.12-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 18 Nov 2017 21:31:56 +0100

dcap (2.47.11-1) unstable; urgency=medium

  * New upstream release
  * Drop patches (previously backported)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Oct 2017 18:59:23 +0200

dcap (2.47.10-4) unstable; urgency=medium

  * Don't use deprecated TLSv1_client_method (Closes: #871428)
  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 12 Aug 2017 10:10:20 +0200

dcap (2.47.10-3) unstable; urgency=medium

  * Fix more compiler warnings

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 05 Dec 2016 19:25:13 +0100

dcap (2.47.10-2) unstable; urgency=medium

  * Backport fixes from upstream (Closes: #828280)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 14 Sep 2016 13:16:02 +0200
