## dcap 2.47.13

=== debian/changelog ===
dcap (2.47.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1029031)
  * Drop patches accepted upstream
  * Remove override_dh_strip rule (completed debug symbol migration)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Jan 2023 16:20:55 +0100
