## dcap 2.47.14

=== debian/changelog ===
dcap (2.47.14-2) unstable; urgency=medium

  * Enable bind-now hardening
  * Fix build with 64 bit time_t (Closes: #1065771)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Mar 2024 18:59:53 +0100

dcap (2.47.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062021

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:15:53 +0000

dcap (2.47.14-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Feb 2023 14:27:38 +0100
