=== debian/control ===
--- 
+++ 
@@ -2,31 +2,35 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  libglobus-gssapi-gsi-dev,
  libkrb5-dev,
  libssl-dev,
  zlib1g-dev,
  libcunit1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/dcap
 Vcs-Git: https://salsa.debian.org/ellert/dcap.git
-Homepage: http://www.dcache.org/manuals/libdcap.shtml
+Homepage: https://www.dcache.org/manuals/libdcap.shtml
 
 Package: dcap
 Section: net
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Client Tools for dCache
  dCache is a distributed mass storage system.
  This package contains the client tools.
 
-Package: libdcap1
+Package: libdcap1t64
+Provides: ${t64:Provides}
+Replaces: libdcap1
+Breaks: libdcap1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -48,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: Client Development Files for dCache
  dCache is a distributed mass storage system.
@@ -58,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -71,7 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -84,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -97,7 +101,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
