=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -24,6 +26,3 @@
 	rm $(INSTALLDIR)/usr/lib/*/*.la
 
 	rm -rf $(INSTALLDIR)/usr/share/doc
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libdcap-dbg (<< 2.47.10-4~), dcap-dbg (<< 2.47.10-4~)'
